> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# API vs Native access

> Which is best for me?

Bright Data’s proxy and unlocking platform (Web Unlocker, SERP and Proxy products) can be accessed via two methods:

1. **API Access** - Interacts with the Bright Data platform through standardized HTTP methods (e.g. GET, POST, REST API calls) and endpoints, to send requests and retrieve structured data (JSON or HTML).

   Best for: Seamless, scalable integrations with internal scripts or third-party applications.
2. **Native access** - Direct interaction with Bright Data’s platform via proxy protocols tailored to each product.

   Required for: Direct integrations with web browsers and [third-party tools](https://docs.brightdata.com/integrations) that require standard proxy connections (IP:port)

### Request examples

**API access**

```sh theme={null}
curl https://api.brightdata.com/request -H "Content-Type: application/json" -H "Authorization: Bearer <API_TOKEN>" -d "{"zone": "zone_name","url": "https://www.example.com", "format": "raw"}"
```

**Native access**

```sh theme={null}
curl -i --proxy brd.superproxy.io:33335 --proxy-user <USERNAME>:<PASSWORD> "https://www.example.com"
```

### API vs Native Comparison

| Parameter                | API access                          | Native access                                                                    |
| ------------------------ | ----------------------------------- | -------------------------------------------------------------------------------- |
| **Recommended product**  | Web Unlocker API, SERP API, Proxies | Proxies - when direct proxy connection is needed                                 |
| **SSL certificate**      | Not required                        | Required for the use of most products (exception for Datacenter and ISP proxies) |
| **Account verification** | Generally not required              | Required for specific domains                                                    |
| **Connection via**       | API endpoint                        | Proxy endpoint                                                                   |
| **Authentication**       | API token                           | username:password                                                                |
| **Output options**       | HTML or JSON                        | HTML                                                                             |

### Billing

Both Native and API access methods are billed at the **same cost**. Billing is based on your regular pricing per Bright Data product.
